%define upstream_name    Apache-DBI
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Initiate a persistent database connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.0.0
BuildRequires: perl(Digest::MD5) >= 2.200.0
BuildRequires: perl(Digest::SHA1) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module initiates a persistent database connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/Apache
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.120.0-12.mga10
+ Revision: 2203406
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-11.mga9
+ Revision: 1808228
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-10.mga8
+ Revision: 1503442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.120.0-9.mga7
+ Revision: 1281589
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.120.0-8.mga7
+ Revision: 1162977
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1022521
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 941249
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 744065
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.120.0-4.mga5
+ Revision: 731823
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 683482
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.120.0-2.mga4
+ Revision: 528621
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.120.0-1.mga4
+ Revision: 446851
- update to 1.12

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 362948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 1.110.0-1.mga2
+ Revision: 154259
- update to 1.11

* Fri Feb 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 53710
- update to 1.10

* Sun Jan 23 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 33576
- mageia rebuild
- imported package perl-Apache-DBI


* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.90.0-1mdv2011.0
+ Revision: 596515
- update to new version 1.09

* Fri Feb 05 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2011.0
+ Revision: 501140
- update to 1.08

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 402964
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.07-2mdv2009.0
+ Revision: 268366
- rebuild early 2009.0 package (before pixel changes)

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2009.0
+ Revision: 208350
- update to new version 1.07

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.06-3mdv2008.1
+ Revision: 136657
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.06-3mdv2008.0
+ Revision: 66862
- rebuild

* Mon Apr 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.06-1mdv2008.0
+ Revision: 17436
- New version


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
+ Revision: 86553
- new version

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.03-1mdv2007.1
+ Revision: 73191
- import perl-Apache-DBI-1.03-1mdv2007.0

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
- New version 1.03

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2007.0
- New version 1.02

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.0
- New release 1.01
- HTTP source URL

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9901-2mdk
- Fix SPEC Using perl Policies
    - Source URL
    - BuildRequires

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9901-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- better URL
- reenable tests

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.98-1mdk
- 0.98

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.94-2mdk
- fix buildrequires in a backward compatible way

* Tue Jun 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.94-1mdk
- 0.94
- cosmetics
- drop test for now

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.92-2mdk
- fixed dir ownership (distlint)

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.92-1mdk
- first mdk release

